Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network121.95.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
121.95.0.0
Broadcast address
121.95.127.255
First usable
121.95.0.1
Last usable
121.95.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 795F0000 · Integer 2036269056 to 2036301823
Reverse DNS zones
0.95.121.in-addr.arpa
1.95.121.in-addr.arpa
2.95.121.in-addr.arpa
3.95.121.in-addr.arpa
4.95.121.in-addr.arpa
5.95.121.in-addr.arpa
6.95.121.in-addr.arpa
7.95.121.in-addr.arpa
8.95.121.in-addr.arpa
9.95.121.in-addr.arpa
10.95.121.in-addr.arpa
11.95.121.in-addr.arpa
12.95.121.in-addr.arpa
13.95.121.in-addr.arpa
14.95.121.in-addr.arpa
15.95.121.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111001.01011111.00000000.00000000121.95.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01111001.01011111.00000000.00000000121.95.0.0
Broadcast01111001.01011111.01111111.11111111121.95.127.255
Split into smaller subnets/25

121.95.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1121.95.0.0/25121.95.0.1 to 121.95.0.126121.95.0.127126
2121.95.0.128/25121.95.0.129 to 121.95.0.254121.95.0.255126
3121.95.1.0/25121.95.1.1 to 121.95.1.126121.95.1.127126
4121.95.1.128/25121.95.1.129 to 121.95.1.254121.95.1.255126
5121.95.2.0/25121.95.2.1 to 121.95.2.126121.95.2.127126
6121.95.2.128/25121.95.2.129 to 121.95.2.254121.95.2.255126
7121.95.3.0/25121.95.3.1 to 121.95.3.126121.95.3.127126
8121.95.3.128/25121.95.3.129 to 121.95.3.254121.95.3.255126
9121.95.4.0/25121.95.4.1 to 121.95.4.126121.95.4.127126
10121.95.4.128/25121.95.4.129 to 121.95.4.254121.95.4.255126
11121.95.5.0/25121.95.5.1 to 121.95.5.126121.95.5.127126
12121.95.5.128/25121.95.5.129 to 121.95.5.254121.95.5.255126
13121.95.6.0/25121.95.6.1 to 121.95.6.126121.95.6.127126
14121.95.6.128/25121.95.6.129 to 121.95.6.254121.95.6.255126
15121.95.7.0/25121.95.7.1 to 121.95.7.126121.95.7.127126
16121.95.7.128/25121.95.7.129 to 121.95.7.254121.95.7.255126
17121.95.8.0/25121.95.8.1 to 121.95.8.126121.95.8.127126
18121.95.8.128/25121.95.8.129 to 121.95.8.254121.95.8.255126
19121.95.9.0/25121.95.9.1 to 121.95.9.126121.95.9.127126
20121.95.9.128/25121.95.9.129 to 121.95.9.254121.95.9.255126
21121.95.10.0/25121.95.10.1 to 121.95.10.126121.95.10.127126
22121.95.10.128/25121.95.10.129 to 121.95.10.254121.95.10.255126
23121.95.11.0/25121.95.11.1 to 121.95.11.126121.95.11.127126
24121.95.11.128/25121.95.11.129 to 121.95.11.254121.95.11.255126
25121.95.12.0/25121.95.12.1 to 121.95.12.126121.95.12.127126
26121.95.12.128/25121.95.12.129 to 121.95.12.254121.95.12.255126
27121.95.13.0/25121.95.13.1 to 121.95.13.126121.95.13.127126
28121.95.13.128/25121.95.13.129 to 121.95.13.254121.95.13.255126
29121.95.14.0/25121.95.14.1 to 121.95.14.126121.95.14.127126
30121.95.14.128/25121.95.14.129 to 121.95.14.254121.95.14.255126
31121.95.15.0/25121.95.15.1 to 121.95.15.126121.95.15.127126
32121.95.15.128/25121.95.15.129 to 121.95.15.254121.95.15.255126
33121.95.16.0/25121.95.16.1 to 121.95.16.126121.95.16.127126
34121.95.16.128/25121.95.16.129 to 121.95.16.254121.95.16.255126
35121.95.17.0/25121.95.17.1 to 121.95.17.126121.95.17.127126
36121.95.17.128/25121.95.17.129 to 121.95.17.254121.95.17.255126
37121.95.18.0/25121.95.18.1 to 121.95.18.126121.95.18.127126
38121.95.18.128/25121.95.18.129 to 121.95.18.254121.95.18.255126
39121.95.19.0/25121.95.19.1 to 121.95.19.126121.95.19.127126
40121.95.19.128/25121.95.19.129 to 121.95.19.254121.95.19.255126
41121.95.20.0/25121.95.20.1 to 121.95.20.126121.95.20.127126
42121.95.20.128/25121.95.20.129 to 121.95.20.254121.95.20.255126
43121.95.21.0/25121.95.21.1 to 121.95.21.126121.95.21.127126
44121.95.21.128/25121.95.21.129 to 121.95.21.254121.95.21.255126
45121.95.22.0/25121.95.22.1 to 121.95.22.126121.95.22.127126
46121.95.22.128/25121.95.22.129 to 121.95.22.254121.95.22.255126
47121.95.23.0/25121.95.23.1 to 121.95.23.126121.95.23.127126
48121.95.23.128/25121.95.23.129 to 121.95.23.254121.95.23.255126
49121.95.24.0/25121.95.24.1 to 121.95.24.126121.95.24.127126
50121.95.24.128/25121.95.24.129 to 121.95.24.254121.95.24.255126
51121.95.25.0/25121.95.25.1 to 121.95.25.126121.95.25.127126
52121.95.25.128/25121.95.25.129 to 121.95.25.254121.95.25.255126
53121.95.26.0/25121.95.26.1 to 121.95.26.126121.95.26.127126
54121.95.26.128/25121.95.26.129 to 121.95.26.254121.95.26.255126
55121.95.27.0/25121.95.27.1 to 121.95.27.126121.95.27.127126
56121.95.27.128/25121.95.27.129 to 121.95.27.254121.95.27.255126
57121.95.28.0/25121.95.28.1 to 121.95.28.126121.95.28.127126
58121.95.28.128/25121.95.28.129 to 121.95.28.254121.95.28.255126
59121.95.29.0/25121.95.29.1 to 121.95.29.126121.95.29.127126
60121.95.29.128/25121.95.29.129 to 121.95.29.254121.95.29.255126
61121.95.30.0/25121.95.30.1 to 121.95.30.126121.95.30.127126
62121.95.30.128/25121.95.30.129 to 121.95.30.254121.95.30.255126
63121.95.31.0/25121.95.31.1 to 121.95.31.126121.95.31.127126
64121.95.31.128/25121.95.31.129 to 121.95.31.254121.95.31.255126
65121.95.32.0/25121.95.32.1 to 121.95.32.126121.95.32.127126
66121.95.32.128/25121.95.32.129 to 121.95.32.254121.95.32.255126
67121.95.33.0/25121.95.33.1 to 121.95.33.126121.95.33.127126
68121.95.33.128/25121.95.33.129 to 121.95.33.254121.95.33.255126
69121.95.34.0/25121.95.34.1 to 121.95.34.126121.95.34.127126
70121.95.34.128/25121.95.34.129 to 121.95.34.254121.95.34.255126
71121.95.35.0/25121.95.35.1 to 121.95.35.126121.95.35.127126
72121.95.35.128/25121.95.35.129 to 121.95.35.254121.95.35.255126
73121.95.36.0/25121.95.36.1 to 121.95.36.126121.95.36.127126
74121.95.36.128/25121.95.36.129 to 121.95.36.254121.95.36.255126
75121.95.37.0/25121.95.37.1 to 121.95.37.126121.95.37.127126
76121.95.37.128/25121.95.37.129 to 121.95.37.254121.95.37.255126
77121.95.38.0/25121.95.38.1 to 121.95.38.126121.95.38.127126
78121.95.38.128/25121.95.38.129 to 121.95.38.254121.95.38.255126
79121.95.39.0/25121.95.39.1 to 121.95.39.126121.95.39.127126
80121.95.39.128/25121.95.39.129 to 121.95.39.254121.95.39.255126
81121.95.40.0/25121.95.40.1 to 121.95.40.126121.95.40.127126
82121.95.40.128/25121.95.40.129 to 121.95.40.254121.95.40.255126
83121.95.41.0/25121.95.41.1 to 121.95.41.126121.95.41.127126
84121.95.41.128/25121.95.41.129 to 121.95.41.254121.95.41.255126
85121.95.42.0/25121.95.42.1 to 121.95.42.126121.95.42.127126
86121.95.42.128/25121.95.42.129 to 121.95.42.254121.95.42.255126
87121.95.43.0/25121.95.43.1 to 121.95.43.126121.95.43.127126
88121.95.43.128/25121.95.43.129 to 121.95.43.254121.95.43.255126
89121.95.44.0/25121.95.44.1 to 121.95.44.126121.95.44.127126
90121.95.44.128/25121.95.44.129 to 121.95.44.254121.95.44.255126
91121.95.45.0/25121.95.45.1 to 121.95.45.126121.95.45.127126
92121.95.45.128/25121.95.45.129 to 121.95.45.254121.95.45.255126
93121.95.46.0/25121.95.46.1 to 121.95.46.126121.95.46.127126
94121.95.46.128/25121.95.46.129 to 121.95.46.254121.95.46.255126
95121.95.47.0/25121.95.47.1 to 121.95.47.126121.95.47.127126
96121.95.47.128/25121.95.47.129 to 121.95.47.254121.95.47.255126
97121.95.48.0/25121.95.48.1 to 121.95.48.126121.95.48.127126
98121.95.48.128/25121.95.48.129 to 121.95.48.254121.95.48.255126
99121.95.49.0/25121.95.49.1 to 121.95.49.126121.95.49.127126
100121.95.49.128/25121.95.49.129 to 121.95.49.254121.95.49.255126
101121.95.50.0/25121.95.50.1 to 121.95.50.126121.95.50.127126
102121.95.50.128/25121.95.50.129 to 121.95.50.254121.95.50.255126
103121.95.51.0/25121.95.51.1 to 121.95.51.126121.95.51.127126
104121.95.51.128/25121.95.51.129 to 121.95.51.254121.95.51.255126
105121.95.52.0/25121.95.52.1 to 121.95.52.126121.95.52.127126
106121.95.52.128/25121.95.52.129 to 121.95.52.254121.95.52.255126
107121.95.53.0/25121.95.53.1 to 121.95.53.126121.95.53.127126
108121.95.53.128/25121.95.53.129 to 121.95.53.254121.95.53.255126
109121.95.54.0/25121.95.54.1 to 121.95.54.126121.95.54.127126
110121.95.54.128/25121.95.54.129 to 121.95.54.254121.95.54.255126
111121.95.55.0/25121.95.55.1 to 121.95.55.126121.95.55.127126
112121.95.55.128/25121.95.55.129 to 121.95.55.254121.95.55.255126
113121.95.56.0/25121.95.56.1 to 121.95.56.126121.95.56.127126
114121.95.56.128/25121.95.56.129 to 121.95.56.254121.95.56.255126
115121.95.57.0/25121.95.57.1 to 121.95.57.126121.95.57.127126
116121.95.57.128/25121.95.57.129 to 121.95.57.254121.95.57.255126
117121.95.58.0/25121.95.58.1 to 121.95.58.126121.95.58.127126
118121.95.58.128/25121.95.58.129 to 121.95.58.254121.95.58.255126
119121.95.59.0/25121.95.59.1 to 121.95.59.126121.95.59.127126
120121.95.59.128/25121.95.59.129 to 121.95.59.254121.95.59.255126
121121.95.60.0/25121.95.60.1 to 121.95.60.126121.95.60.127126
122121.95.60.128/25121.95.60.129 to 121.95.60.254121.95.60.255126
123121.95.61.0/25121.95.61.1 to 121.95.61.126121.95.61.127126
124121.95.61.128/25121.95.61.129 to 121.95.61.254121.95.61.255126
125121.95.62.0/25121.95.62.1 to 121.95.62.126121.95.62.127126
126121.95.62.128/25121.95.62.129 to 121.95.62.254121.95.62.255126
127121.95.63.0/25121.95.63.1 to 121.95.63.126121.95.63.127126
128121.95.63.128/25121.95.63.129 to 121.95.63.254121.95.63.255126
129121.95.64.0/25121.95.64.1 to 121.95.64.126121.95.64.127126
130121.95.64.128/25121.95.64.129 to 121.95.64.254121.95.64.255126
131121.95.65.0/25121.95.65.1 to 121.95.65.126121.95.65.127126
132121.95.65.128/25121.95.65.129 to 121.95.65.254121.95.65.255126
133121.95.66.0/25121.95.66.1 to 121.95.66.126121.95.66.127126
134121.95.66.128/25121.95.66.129 to 121.95.66.254121.95.66.255126
135121.95.67.0/25121.95.67.1 to 121.95.67.126121.95.67.127126
136121.95.67.128/25121.95.67.129 to 121.95.67.254121.95.67.255126
137121.95.68.0/25121.95.68.1 to 121.95.68.126121.95.68.127126
138121.95.68.128/25121.95.68.129 to 121.95.68.254121.95.68.255126
139121.95.69.0/25121.95.69.1 to 121.95.69.126121.95.69.127126
140121.95.69.128/25121.95.69.129 to 121.95.69.254121.95.69.255126
141121.95.70.0/25121.95.70.1 to 121.95.70.126121.95.70.127126
142121.95.70.128/25121.95.70.129 to 121.95.70.254121.95.70.255126
143121.95.71.0/25121.95.71.1 to 121.95.71.126121.95.71.127126
144121.95.71.128/25121.95.71.129 to 121.95.71.254121.95.71.255126
145121.95.72.0/25121.95.72.1 to 121.95.72.126121.95.72.127126
146121.95.72.128/25121.95.72.129 to 121.95.72.254121.95.72.255126
147121.95.73.0/25121.95.73.1 to 121.95.73.126121.95.73.127126
148121.95.73.128/25121.95.73.129 to 121.95.73.254121.95.73.255126
149121.95.74.0/25121.95.74.1 to 121.95.74.126121.95.74.127126
150121.95.74.128/25121.95.74.129 to 121.95.74.254121.95.74.255126
151121.95.75.0/25121.95.75.1 to 121.95.75.126121.95.75.127126
152121.95.75.128/25121.95.75.129 to 121.95.75.254121.95.75.255126
153121.95.76.0/25121.95.76.1 to 121.95.76.126121.95.76.127126
154121.95.76.128/25121.95.76.129 to 121.95.76.254121.95.76.255126
155121.95.77.0/25121.95.77.1 to 121.95.77.126121.95.77.127126
156121.95.77.128/25121.95.77.129 to 121.95.77.254121.95.77.255126
157121.95.78.0/25121.95.78.1 to 121.95.78.126121.95.78.127126
158121.95.78.128/25121.95.78.129 to 121.95.78.254121.95.78.255126
159121.95.79.0/25121.95.79.1 to 121.95.79.126121.95.79.127126
160121.95.79.128/25121.95.79.129 to 121.95.79.254121.95.79.255126
161121.95.80.0/25121.95.80.1 to 121.95.80.126121.95.80.127126
162121.95.80.128/25121.95.80.129 to 121.95.80.254121.95.80.255126
163121.95.81.0/25121.95.81.1 to 121.95.81.126121.95.81.127126
164121.95.81.128/25121.95.81.129 to 121.95.81.254121.95.81.255126
165121.95.82.0/25121.95.82.1 to 121.95.82.126121.95.82.127126
166121.95.82.128/25121.95.82.129 to 121.95.82.254121.95.82.255126
167121.95.83.0/25121.95.83.1 to 121.95.83.126121.95.83.127126
168121.95.83.128/25121.95.83.129 to 121.95.83.254121.95.83.255126
169121.95.84.0/25121.95.84.1 to 121.95.84.126121.95.84.127126
170121.95.84.128/25121.95.84.129 to 121.95.84.254121.95.84.255126
171121.95.85.0/25121.95.85.1 to 121.95.85.126121.95.85.127126
172121.95.85.128/25121.95.85.129 to 121.95.85.254121.95.85.255126
173121.95.86.0/25121.95.86.1 to 121.95.86.126121.95.86.127126
174121.95.86.128/25121.95.86.129 to 121.95.86.254121.95.86.255126
175121.95.87.0/25121.95.87.1 to 121.95.87.126121.95.87.127126
176121.95.87.128/25121.95.87.129 to 121.95.87.254121.95.87.255126
177121.95.88.0/25121.95.88.1 to 121.95.88.126121.95.88.127126
178121.95.88.128/25121.95.88.129 to 121.95.88.254121.95.88.255126
179121.95.89.0/25121.95.89.1 to 121.95.89.126121.95.89.127126
180121.95.89.128/25121.95.89.129 to 121.95.89.254121.95.89.255126
181121.95.90.0/25121.95.90.1 to 121.95.90.126121.95.90.127126
182121.95.90.128/25121.95.90.129 to 121.95.90.254121.95.90.255126
183121.95.91.0/25121.95.91.1 to 121.95.91.126121.95.91.127126
184121.95.91.128/25121.95.91.129 to 121.95.91.254121.95.91.255126
185121.95.92.0/25121.95.92.1 to 121.95.92.126121.95.92.127126
186121.95.92.128/25121.95.92.129 to 121.95.92.254121.95.92.255126
187121.95.93.0/25121.95.93.1 to 121.95.93.126121.95.93.127126
188121.95.93.128/25121.95.93.129 to 121.95.93.254121.95.93.255126
189121.95.94.0/25121.95.94.1 to 121.95.94.126121.95.94.127126
190121.95.94.128/25121.95.94.129 to 121.95.94.254121.95.94.255126
191121.95.95.0/25121.95.95.1 to 121.95.95.126121.95.95.127126
192121.95.95.128/25121.95.95.129 to 121.95.95.254121.95.95.255126
193121.95.96.0/25121.95.96.1 to 121.95.96.126121.95.96.127126
194121.95.96.128/25121.95.96.129 to 121.95.96.254121.95.96.255126
195121.95.97.0/25121.95.97.1 to 121.95.97.126121.95.97.127126
196121.95.97.128/25121.95.97.129 to 121.95.97.254121.95.97.255126
197121.95.98.0/25121.95.98.1 to 121.95.98.126121.95.98.127126
198121.95.98.128/25121.95.98.129 to 121.95.98.254121.95.98.255126
199121.95.99.0/25121.95.99.1 to 121.95.99.126121.95.99.127126
200121.95.99.128/25121.95.99.129 to 121.95.99.254121.95.99.255126
201121.95.100.0/25121.95.100.1 to 121.95.100.126121.95.100.127126
202121.95.100.128/25121.95.100.129 to 121.95.100.254121.95.100.255126
203121.95.101.0/25121.95.101.1 to 121.95.101.126121.95.101.127126
204121.95.101.128/25121.95.101.129 to 121.95.101.254121.95.101.255126
205121.95.102.0/25121.95.102.1 to 121.95.102.126121.95.102.127126
206121.95.102.128/25121.95.102.129 to 121.95.102.254121.95.102.255126
207121.95.103.0/25121.95.103.1 to 121.95.103.126121.95.103.127126
208121.95.103.128/25121.95.103.129 to 121.95.103.254121.95.103.255126
209121.95.104.0/25121.95.104.1 to 121.95.104.126121.95.104.127126
210121.95.104.128/25121.95.104.129 to 121.95.104.254121.95.104.255126
211121.95.105.0/25121.95.105.1 to 121.95.105.126121.95.105.127126
212121.95.105.128/25121.95.105.129 to 121.95.105.254121.95.105.255126
213121.95.106.0/25121.95.106.1 to 121.95.106.126121.95.106.127126
214121.95.106.128/25121.95.106.129 to 121.95.106.254121.95.106.255126
215121.95.107.0/25121.95.107.1 to 121.95.107.126121.95.107.127126
216121.95.107.128/25121.95.107.129 to 121.95.107.254121.95.107.255126
217121.95.108.0/25121.95.108.1 to 121.95.108.126121.95.108.127126
218121.95.108.128/25121.95.108.129 to 121.95.108.254121.95.108.255126
219121.95.109.0/25121.95.109.1 to 121.95.109.126121.95.109.127126
220121.95.109.128/25121.95.109.129 to 121.95.109.254121.95.109.255126
221121.95.110.0/25121.95.110.1 to 121.95.110.126121.95.110.127126
222121.95.110.128/25121.95.110.129 to 121.95.110.254121.95.110.255126
223121.95.111.0/25121.95.111.1 to 121.95.111.126121.95.111.127126
224121.95.111.128/25121.95.111.129 to 121.95.111.254121.95.111.255126
225121.95.112.0/25121.95.112.1 to 121.95.112.126121.95.112.127126
226121.95.112.128/25121.95.112.129 to 121.95.112.254121.95.112.255126
227121.95.113.0/25121.95.113.1 to 121.95.113.126121.95.113.127126
228121.95.113.128/25121.95.113.129 to 121.95.113.254121.95.113.255126
229121.95.114.0/25121.95.114.1 to 121.95.114.126121.95.114.127126
230121.95.114.128/25121.95.114.129 to 121.95.114.254121.95.114.255126
231121.95.115.0/25121.95.115.1 to 121.95.115.126121.95.115.127126
232121.95.115.128/25121.95.115.129 to 121.95.115.254121.95.115.255126
233121.95.116.0/25121.95.116.1 to 121.95.116.126121.95.116.127126
234121.95.116.128/25121.95.116.129 to 121.95.116.254121.95.116.255126
235121.95.117.0/25121.95.117.1 to 121.95.117.126121.95.117.127126
236121.95.117.128/25121.95.117.129 to 121.95.117.254121.95.117.255126
237121.95.118.0/25121.95.118.1 to 121.95.118.126121.95.118.127126
238121.95.118.128/25121.95.118.129 to 121.95.118.254121.95.118.255126
239121.95.119.0/25121.95.119.1 to 121.95.119.126121.95.119.127126
240121.95.119.128/25121.95.119.129 to 121.95.119.254121.95.119.255126
241121.95.120.0/25121.95.120.1 to 121.95.120.126121.95.120.127126
242121.95.120.128/25121.95.120.129 to 121.95.120.254121.95.120.255126
243121.95.121.0/25121.95.121.1 to 121.95.121.126121.95.121.127126
244121.95.121.128/25121.95.121.129 to 121.95.121.254121.95.121.255126
245121.95.122.0/25121.95.122.1 to 121.95.122.126121.95.122.127126
246121.95.122.128/25121.95.122.129 to 121.95.122.254121.95.122.255126
247121.95.123.0/25121.95.123.1 to 121.95.123.126121.95.123.127126
248121.95.123.128/25121.95.123.129 to 121.95.123.254121.95.123.255126
249121.95.124.0/25121.95.124.1 to 121.95.124.126121.95.124.127126
250121.95.124.128/25121.95.124.129 to 121.95.124.254121.95.124.255126
251121.95.125.0/25121.95.125.1 to 121.95.125.126121.95.125.127126
252121.95.125.128/25121.95.125.129 to 121.95.125.254121.95.125.255126
253121.95.126.0/25121.95.126.1 to 121.95.126.126121.95.126.127126
254121.95.126.128/25121.95.126.129 to 121.95.126.254121.95.126.255126
255121.95.127.0/25121.95.127.1 to 121.95.127.126121.95.127.127126
256121.95.127.128/25121.95.127.129 to 121.95.127.254121.95.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses